Identity, people & notifications

Invite Sub Recipient

Creates person, user, SUB_RECIPIENT role and permissions transactionally, queues PropelAuth provisioning, emails a password reset.

POSThttps://api.toku.com/tga/invite-sub-recipient

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/tga/invite-sub-recipient' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "loginEmail": "string",
  "givenName": "string",
  "familyName": "string",
  "permissions": [
    {
      "permissionName": "VIEW_INVESTMENT",
      "permissionDescription": "string",
      "scope": "string"
    }
  ]
}'
200 response
{
  "roleInOrgID": "string",
  "invitedByRecipientID": "string",
  "personID": "string",
  "givenName": "string",
  "familyName": "string",
  "revokedAt": "string",
  "loginEmail": "string",
  "permissions": [
    {
      "permissionName": "string",
      "permissionDescription": "string",
      "scope": "string"
    }
  ],
  "invitedByRecipientFullName": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

loginEmailstringrequired
roleany
givenNamestringrequired
familyNamestringrequired
permissionsobject[]required
Show child attributes
permissionNamestringrequired

Available options: VIEW_INVESTMENT, VIEW_WARRANT

permissionDescriptionstringrequired
scopestringrequired

Response

200Successful response
roleInOrgIDstring
invitedByRecipientIDstringrequired
personIDstringrequired
givenNamestringrequired
familyNamestringrequired
revokedAtstring | nullrequired
loginEmailstringrequired
permissionsobject[]
Show child attributes
permissionNamestringrequired
permissionDescriptionstring
scopestringrequired
invitedByRecipientFullNamestring
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits